' =====================================================================================
' Falls Ihnen das Programmieren mit Visual Basic Spa gemacht hat und Sie an
' weiterfhrenden, fortgeschritteneren Themen interessiert sind, dann empfehle ich
' Ihnen mein Buch "Tiefer einsteigen in die Programmierung mit C# und Visual Basic 2010".
' Ausfhrliche Informationen zu diesem Fortsetzungsband finden Sie auf der Website:
' ===== http://tiefer-einsteigen.de ====================================================


Option Strict Off
Module Module1

   Sub Main()

      ' --------------------------------------------------------
      ' Zahl, Datum oder Boolean-Wert in Text umwandeln
      ' --------------------------------------------------------
      ' Beachten Sie, dass Sie hier das Kommma als Dezimaltrennzeichen 
      ' verwenden mssen, wenn dieses in den Lndereinstellungen so 
      ' definiert ist.
      Dim doubleString As String = "3,3"
      Dim intString As String = "4"
      Dim intNumber As Integer
      Dim doubleNumber As Double

      ' - die Visual Basic-Variante: Verwenden Sie die Funktion CStr.
      intNumber = 40
      doubleNumber = 4.5
      Dim s As String = CStr(intNumber)
      Console.WriteLine(s)
      s = CStr(doubleNumber)
      Console.WriteLine(s)

      ' - die .NET Framework-Variante: Verwenden Sie die ToString.
      s = intNumber.ToString()
      Console.WriteLine(s)
      s = doubleNumber.ToString()
      Console.WriteLine(s)


      ' --------------------------------------------------------
      ' Text in Zahl umwandeln
      ' --------------------------------------------------------
      ' - die Visual Basic-Variante: Verwenden Sie einer der C...-Funktionen.
      intNumber = CInt(intString)
      doubleNumber = CDbl(doubleString)
      Dim booleanWert As Boolean = CBool("True")

      ' - die .NET Framework-Variante: Verwenden Sie die Parse-Methode des Datentyps
      intNumber = Integer.Parse(intString)
      doubleNumber = Double.Parse(doubleString)


      ' --------------------------------------------------------
      ' Zahl eines Datentyps in eine Zahl eines anderen Datentyps 
      ' umwandeln
      ' --------------------------------------------------------
      ' Der Wertebereich des Zieldatentyps ist grer, die Umwandlung kann 
      ' ohne Verluste vorgenommen werden.
      ' Der Compiler nimmt eine implizite Typkonvertierung vor, gleichgltig, 
      ' ob Option Strict auf On oder Off steht.
      Dim a As Short = 35
      Dim b As Integer
      b = a

      Dim c As Integer = 3
      Dim d As Double
      d = c

      ' Wenn Option Strict auf Off steht, dann lt sich die zweite Anweisung 
      ' kompilieren. Wenn Option Strict auf On steht, dann lt sich die zweite 
      ' Anweisung nicht kompilieren, da die implizite Typumwandlung mglicherweise 
      ' mit dem Verlust von Informationen einhergeht. 
      ' Der Compiler informiert Sie hierber in dem Fehlerfenster.
      Dim e As Integer = 32000
      Dim f As Short
      f = e

      ' Wenn Sie eine explizite Typumwandlung vornehmen, erlaubt der Compiler, trotz 
      ' mglichen Informationsverlustes, die Typkonvertierung. Es spielt keine Rolle mehr, 
      ' ob Option Strict auf On oder Off steht.
      ' Der Code lsst sich immer kompilieren, was aber nicht bedeutet, dass er 
      ' auch zur Laufeit fehlerfrei ausgefhrt wird. Wenn die Konvertierung fehlschlgt,
      Dim g As Integer = 32000
      Dim h As Short
      g = CShort(h)

      ' Auf Taste warten
      Console.ReadKey()

   End Sub

End Module
