﻿Option Strict On

Public Structure Kreis
    Implements IComparable

    Public XWert As Double      ' X-Koordinate
    Public YWert As Double      ' Y-Koordinate
    Public Radius As Double     ' Kreisradius

    Public Sub New(ByVal x As Double, ByVal y As Double, ByVal r As Double)      'Konstruktor
        Me.XWert = x
        Me.YWert = y
        Me.Radius = r
    End Sub

    Public Function CompareTo(ByVal obj As Object) As Integer Implements System.IComparable.CompareTo
        Dim k As Kreis = CType(obj, Kreis)
        Return Me.Radius.CompareTo(k.Radius)
    End Function

End Structure


Module Module1

    Sub Main()

        Dim kreise As New ArrayList()

        kreise.Add(New Kreis(0, 0, 1))
        kreise.Add(New Kreis(0, 0, 3))
        kreise.Add(New Kreis(0, 0, 2))

        Console.WriteLine("Vor der Sortierng:")
        For Each k As Kreis In kreise
            Console.WriteLine("    Radius = {0}", k.Radius)
        Next k

        kreise.Sort()

        Console.WriteLine("Nach der Sortierng:")
        For Each k As Kreis In kreise
            Console.WriteLine("    Radius = {0}", k.Radius)
        Next k

    End Sub

End Module
