Imports System.ComponentModel
Public Class NameControl
   ' Bei nderungen am Textfeld txtFirstName das Label-Steuerelement aktualisieren lassen
   Private Sub txtFirstName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFirstName.TextChanged
      Me.updateLabelCompleteName()
   End Sub

   ' Bei nderungen am Textfeld txtInitial das Label-Steuerelement aktualisieren lassen
   Private Sub txtInitial_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtInitial.TextChanged
      Me.updateLabelCompleteName()
   End Sub
   ' Bei nderungen am Textfeld txtLastName das Label-Steuerelement aktualisieren lassen
   Private Sub txtLastName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLastName.TextChanged
      Me.updateLabelCompleteName()
   End Sub

   ' Nimmt die nderungen am Steuerelement lblCompleteName vor und baut dien
   ' in den verschiedenen Textfeldern entaltenen Informationen zusammen
   Private Sub updateLabelCompleteName()
      Dim sb As New Text.StringBuilder()
      With sb
         ' Prfen, ob Nachname eingegeben wurde
         If Me.txtLastName.Text.Length > 0 Then
            .Append(Me.txtLastName.Text)
            ' nur dann das Komma einfgen
            .Append(", ")
         End If
         .Append(Me.txtFirstName.Text)
         .Append(" ")
         .Append(Me.txtInitial.Text)
         ' lblCompleteName updaten
         Me.lblCompleteName.Text = .ToString()
      End With
   End Sub

   ''' <summary>
   ''' Legt den Text der TextBox Vorname fest oder ruft diesen ab.
   ''' </summary>
   <Category("Default")> _
   <Description("Legt den Text der TextBox Vorname fest oder ruft diesen ab.")> _
   Public Property FirstName() As String
      Get
         Return Me.txtFirstName.Text
      End Get
      Set(ByVal value As String)
         Me.txtFirstName.Text = value
      End Set
   End Property

   ''' <summary>
   ''' Legt den Text der TextBox Initial fest oder ruft diesen ab.
   ''' </summary>
   <Category("Default")> _
   <Description("Legt den Text der TextBox Initial fest oder ruft diesen ab.")> _
   Public Property Initial() As String
      Get
         Return Me.txtInitial.Text
      End Get
      Set(ByVal value As String)
         Me.txtInitial.Text = value
      End Set
   End Property

   ''' <summary>
   ''' Legt den Text der TextBox Nachname fest oder ruft diesen ab.
   ''' </summary>
   <Category("Default")> _
   <Description("Legt den Text der TextBox Nachname fest oder ruft diesen ab.")> _
   Public Property LastName() As String
      Get
         Return Me.txtLastName.Text
      End Get
      Set(ByVal value As String)
         Me.txtLastName.Text = value
      End Set
   End Property
    Private Sub NameControl_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.updateLabelCompleteName()
    End Sub
End Class
