Public Class SearchForm
   ' erhlt den in der TextBox eingegebenen Suchtext
   Private mSearchTextValue As String

   ' erhlt den Status des Kontrollkstchens 
   ' "Gro-/Kleinschreibung beachten"
   Private mCaseSensitiveValue As Boolean = True

   Public Property SearchText() As String
      Get
         Return mSearchTextValue
      End Get
      Set(ByVal value As String)
         mSearchTextValue = value
      End Set
   End Property

   Public Property CaseSensitive() As Boolean
      Get
         Return mCaseSensitiveValue
      End Get
      Set(ByVal value As Boolean)
         mCaseSensitiveValue = value
      End Set
   End Property


   Private Sub txtSearchFor_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearchFor.TextChanged
      If Me.txtSearchFor.Text.Length > 0 Then
         ' OK-Button aktivieren, wenn sich Text in der TextBox befindet.
         Me.btnOK.Enabled = True
      Else
         ' OK-Button deaktivieren, wenn sich kein Text in der TextBox befindet.
         Me.btnOK.Enabled = False
      End If
   End Sub

   Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
      Me.mSearchTextValue = Me.txtSearchFor.Text
      Me.mCaseSensitiveValue = Me.cbCaseSensitive.Checked
   End Sub

   Private Sub SearchForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
      ' nderung aus bung 15.2
      Me.cbCaseSensitive.Checked = Me.mCaseSensitiveValue
      Me.txtSearchFor.Text = Me.SearchText
   End Sub
End Class