Module Module1

   Sub Main()

      Dim i, j As Integer

      i = LeseZahl("Bitte geben Sie die erste Zahl ein: ")
      j = LeseZahl("Bitte geben Sie die zweite Zahl ein: ")

      Console.WriteLine("Die grere Zahl ist: {0}", IIf(i > j, i, j))

   End Sub
   ''' <summary>
   ''' Zeigt eine Eingabeaufforderung an und liest eine Ganzzahl ein.
   ''' </summary>
   ''' <param name="s">Eingabeaufforderung</param>
   ''' <returns> Die eingelesene Ganzzahl oder 0, wenn keine Zahl eingegeben wurde.</returns>
   ''' <remarks>Remark</remarks>
   Function LeseZahl(ByVal s As String) As Integer

      Dim eingabe As String ' Diese Variablen werden innerhalb der Methode bentigt
      Dim ret As Integer

      ' Eingabeaufforderung anzeigen
      Console.Write(s)
      ' Eingabe entgegennehmen
      eingabe = Console.ReadLine()

      ' Eingabe in einen Integer-Wert umwandeln (mit Fehlerbehandlung)
      Try
         ret = Integer.Parse(eingabe)
      Catch ex As FormatException
         ret = 0
      End Try

      ' Ergebnis der Methode zurckliefern
      Return ret

   End Function



End Module
