﻿''' <summary>
''' Stellt einen Kreis dar.
''' </summary>
Public Class Kreis

    Private x As Double             ' X-Koordinate des Kreismittelpunktes 
    Private y As Double             ' y-Koordinate des Kreismittelpunktes 
    Private r As Double             ' Kreisradius

    Public Sub New()                ' Standardkonstruktor
        Me.x = 0
        Me.y = 0
        Me.r = 1
    End Sub

    ''' <summary>
    ''' Konstruktor
    ''' </summary>
    ''' <param name="XWert">X-Koordinate des Kreismittelpunkts</param>
    ''' <param name="YWert">Y-Koordinate des Kreismittelpunkts</param>
    ''' <param name="Radius">Kreisradius</param>
    Public Sub New(ByVal XWert As Double, ByVal YWert As Double, ByVal Radius As Double)
        Me.x = XWert
        Me.y = YWert
        Me.r = Radius
    End Sub

    ''' <summary>
    ''' Gibt den Mittelpunkt und den Radius des Kreises als Zeichenfolge aus.
    ''' </summary>
    Public Overrides Function ToString() As String
        Return "Kreis: Mittelpunkt = (" & Me.x & "|" & Me.y & "), Radius = " & Me.r
    End Function

End Class