Public Class SearchForm
   ' erhlt den in der TextBox eingegebenen Suchtext
   Private mSearchTextValue As String

   ' erhlt den Status des Kontrollkstchens 
   ' "Gro-/Kleinschreibung beachten"
   Private mCcaseSensitiveValue As Boolean = True

   Public ReadOnly Property SearchText() As String
      Get
         Return mSearchTextValue
      End Get
   End Property

   Public ReadOnly Property CaseSensitive() As Boolean
      Get
         Return mCcaseSensitiveValue
      End Get
   End Property


   Private Sub txtSearchFor_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearchFor.TextChanged
      If Me.txtSearchFor.Text.Length > 0 Then
         ' OK-Button aktivieren, wenn sich Text in der TextBox befindet.
         Me.btnOK.Enabled = True
      Else
         ' OK-Button deaktivieren, wenn sich kein Text in der TextBox befindet.
         Me.btnOK.Enabled = False
      End If
   End Sub

   Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
      Me.mSearchTextValue = Me.txtSearchFor.Text
      Me.mCcaseSensitiveValue = Me.cbCaseSensitive.Checked
   End Sub
End Class