Public Class ColorForm
   Private Sub trkRed_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) _
   Handles trkRed.Scroll
      ' nderung fr bung 13.1
      Me.lblRedValue.Text = Me.trkRed.Value
      showColor()
   End Sub

   Private Sub trkGreen_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) _
   Handles trkGreen.Scroll
      ' nderung fr bung 13.1
      Me.lblGreenValue.Text = Me.trkGreen.Value
      showColor()
   End Sub

   Private Sub trkBlue_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) _
   Handles trkBlue.Scroll
      ' nderung fr bung 13.1
      Me.lblBlueValue.Text = Me.trkBlue.Value
      showColor()
   End Sub

   Private Sub showColor()
      ' neue Instanz des Datentyps Color erstellen
      Dim currentColor As New Color()

      ' Farbe festlegen
      currentColor = Color.FromArgb(trkRed.Value, trkGreen.Value, trkBlue.Value)

      ' aktuelle Farbe dem Panel-Steuerelement zuweisen
      pnlColorSample.BackColor = currentColor

      ' Farbwert in Hexadezimaleinstellung im Label txtHexValue anzeigen
      txtHexValue.Text = convertRGBToHex()

   End Sub

   Private Function convertRGBToHex() As String
      ' die einzelnen Farbwerte in Hex-Strings konvertieren
      Dim redValueHex As String = trkRed.Value.ToString("X")
      Dim greenValueHex As String = trkGreen.Value.ToString("X")
      Dim blueValueHex As String = trkBlue.Value.ToString("X")

      ' den String zusammenbauen
      Dim hexColor As String
      hexColor = "#" _
          + redValueHex.PadLeft(2, "0") _
          + greenValueHex.PadLeft(2, "0") _
          + blueValueHex.PadLeft(2, "0")
      Return hexColor
   End Function

   Private Sub ColorForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
      showColor()
      ' nderung aus bung 13.1
      Me.lblGreenValue.Text = Me.trkGreen.Value
      Me.lblRedValue.Text = Me.trkRed.Value
      Me.lblBlueValue.Text = Me.trkBlue.Value
   End Sub

    Private Sub btnCopy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopy.Click
      My.Computer.Clipboard.SetText(txtHexValue.Text)
    End Sub
End Class
